Page MenuHomePhabricator

[Story] support different languages for identifying information
Closed, ResolvedPublic13 Story Points

Description

Problem:
Currently the identifying information of a Schema is not multilingual. A Schema's identifying information should be readable by anyone, not just English speakers.

BDD
GIVEN a Schema entity
WHEN viewing it
THEN I can see the identifying information in different languages on the Schema page
AND the languages I am most likely to speak (based on ULS and Babel box) are shown at the top

GIVEN a Schema entity
WHEN clicking edit on the identifying information section I get redirected to the Special Page for editing it
AND I can select the language for the data I enter

Acceptance criteria:

  • It is possible to add identifying information to a Schema in all languages Wikidata supports for the termbox on Items.
  • ULS and Babel are installed on https://wikidata-shex.wmflabs.org/
  • The extension still works without ULS and Babel installed (graceful degradation)

Notes:

  • This ticket does not cover adjusting Special:NewSchema
  • Also remember to check in RTL like hebrew or arabic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2019, 8:59 AM
Michael updated the task description. (Show Details)Feb 8 2019, 1:27 PM
Lydia_Pintscher triaged this task as High priority.Feb 11 2019, 8:51 AM
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher moved this task from Needs work to Ready to pick up on the Shape Expressions board.
Michael updated the task description. (Show Details)Feb 14 2019, 9:56 AM
Lucas_Werkmeister_WMDE set the point value for this task to 13.
Lydia_Pintscher renamed this task from support different languages for identifying information to [Story] support different languages for identifying information.Feb 24 2019, 3:37 PM
Lydia_Pintscher closed this task as Resolved.Mar 14 2019, 8:50 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from Verification to Done on the Shape Expressions Sprint 4 board.

\o/